## libnifalcon-1.0.2.tar.gz

=== CMakeLists.txt ===
######################################################################################
# CMake directives
######################################################################################

#Require 2.6 or higher. 
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

#See if we've got our cmake modules checked out. If not, advise to do so.
IF(EXISTS "${CMAKE_SOURCE_DIR}/../compily_buildd/cmake")
  SET(BUILDSYS_CMAKE_DIR "${CMAKE_SOURCE_DIR}/../compily_buildd/cmake")
  MESSAGE(STATUS "Using outside compily_buildd directory ${BUILDSYS_CMAKE_DIR}")
ELSEIF(EXISTS "${CMAKE_SOURCE_DIR}/compily_buildd/cmake")
  SET(BUILDSYS_CMAKE_DIR "${CMAKE_SOURCE_DIR}/compily_buildd/cmake")
  MESSAGE(STATUS "Using compily_buildd git submodule ${BUILDSYS_CMAKE_DIR}")
ELSE(EXISTS "${CMAKE_SOURCE_DIR}/compily_buildd/cmake")
  MESSAGE(FATAL_ERROR 
    "Cannot find compily_buildd directory for np labs project compilation functions.\n"
    "Make sure you've either put the compily_buildd directory in the same root as your repository directory, or that you've used the compily_buildd submodule (git submodule update --init).\n"
    "NP Labs build repository is available at git://github.com/qdot/compily_buildd.git"
    )
ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/../compily_buildd/cmake")

LIST(APPEND CMAKE_MODULE_PATH ${BUILDSYS_CMAKE_DIR})

INCLUDE( ${BUILDSYS_CMAKE_DIR}/BuildSysCMakeLib.cmake )

#setting link directory policy

IF(COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

######################################################################################
# Project declaration and options
######################################################################################

#Project declaration

PROJECT(LIBNIFALCON)
INITIALIZE_BUILD()

#Common Options

OPTION_LIBRARY_BUILD_STATIC(ON)
#We can't build shared on MSVC yet
IF(NOT MSVC)
  OPTION_LIBRARY_BUILD_SHARED(ON)
ENDIF(NOT MSVC)
OPTION_GPROF(OFF)
#OPTION_CREATE_VERSION_FILE(ON "${CMAKE_CURRENT_SOURCE_DIR}/src/version.cc")

#Project specific options

OPTION(FORCE_FTD2XX_BUILD "Force building FTD2XX libraries on non-windows platforms" OFF)
OPTION(STATIC_LINK_SUFFIXES "Add a symbolic link with [library_name]_s on static libraries (for ease in building staticly linked binaries under gcc)" OFF)
OPTION(BUILD_SWIG_BINDINGS "Build Java/Python bindings for libnifalcon" OFF)
OPTION(BUILD_EXAMPLES "Build libnifalcon examples" ON)

######################################################################################
# Project specific package finding
######################################################################################

#Find communications libraries
IF(WIN32 OR FORCE_FTD2XX_BUILD)
  FIND_PACKAGE(libftd2xx REQUIRED)
  IF(LIBFTD2XX_FOUND)
    INCLUDE_DIRECTORIES(${LIBFTD2XX_INCLUDE_DIRS})
    SET(LIBNIFALCON_REQ_LIBS ${LIBFTD2XX_LIBRARIES})
  ENDIF(LIBFTD2XX_FOUND)
ELSEIF(UNIX)
  FIND_PACKAGE(libusb-1.0 REQUIRED)
  IF(LIBUSB_1_FOUND)
    INCLUDE_DIRECTORIES(${LIBUSB_1_INCLUDE_DIRS})
    SET(LIBNIFALCON_REQ_LIBS ${LIBUSB_1_LIBRARIES})
  ENDIF(LIBUSB_1_FOUND)
ENDIF()

IF(NOT LIBFTD2XX_FOUND AND NOT LIBUSB_1_FOUND)
  MESSAGE(FATAL_ERROR "Either ftd2xx or libusb-1.0 is required to build libnifalcon. Check the README file for info.")
ENDIF(NOT LIBFTD2XX_FOUND AND NOT LIBUSB_1_FOUND)

#Find boost, used all over the place
SET(Boost_USE_MULTITHREADED ON)
SET(Boost_USE_STATIC_LIBS ON)

FIND_PACKAGE(Boost REQUIRED)
IF(NOT Boost_FOUND)
  MESSAGE(FATAL_ERROR "libnifalcon requires a minimum of the Boost 1.33 headers to build")
ENDIF(NOT Boost_FOUND)

FIND_PACKAGE(Boost COMPONENTS program_options thread)

######################################################################################
# Project specific globals
######################################################################################

#library definitions

SET(LIBNIFALCON_MAJOR_VERSION 1)
SET(LIBNIFALCON_MINOR_VERSION 0)
SET(LIBNIFALCON_BUILD_VERSION 2)

# BUILDSYS_CPACK_INFO(
#   NAME "libnifalcon"
#   MAJOR_VERSION ${LIBNIFALCON_MAJOR_VERSION}
#   MINOR_VERSION ${LIBNIFALCON_MINOR_VERSION}
#   BUILD_VERSION ${LIBNIFALCON_BUILD_VERSION}
#   VENDOR "Nonpolynomial Labs"
#   DESCRIPTION "Open Source Driver for the Novint Falcon Haptic Controller"
#   )
# INCLUDE(CPack)

SET(LIBNIFALCON_VERSION ${LIBNIFALCON_MAJOR_VERSION}.${LIBNIFALCON_MINOR_VERSION}.${LIBNIFALCON_BUILD_VERSION})

#library name definitions

CREATE_LIBRARY_LINK_NAME(nifalcon)
CREATE_LIBRARY_LINK_NAME(nifalcon_cli_base)
CREATE_LIBRARY_LINK_NAME(nifalcon_device_boost_thread)

SET(LIBNIFALCON_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/include")

INCLUDE_DIRECTORIES(${LIBNIFALCON_INCLUDE_DIR} ${Boost_INCLUDE_DIRS})
LINK_DIRECTORIES(${LIBRARY_OUTPUT_PATH})

#If we build libusb staticly on apple, we need the proper frameworks
IF(BUILD_STATIC AND APPLE)
  LIST(APPEND LIBNIFALCON_EXE_LINK_LIBS "-framework IOKit" "-framework CoreFoundation")
ENDIF(BUILD_STATIC AND APPLE)

LIST(APPEND LIBNIFALCON_EXE_LINK_LIBS 
  ${libnifalcon_LIBRARY}
  ${LIBNIFALCON_REQ_LIBS}
  )

ADD_SUBDIRECTORY(include)
ADD_SUBDIRECTORY(src)
IF(BUILD_EXAMPLES)
  ADD_SUBDIRECTORY(examples)
ENDIF(BUILD_EXAMPLES)
IF(BUILD_SWIG_BINDINGS)
  ADD_SUBDIRECTORY(lang/swig)
ENDIF(BUILD_SWIG_BINDINGS)

#pkg-config (use the CPack information)
IF(UNIX)
  FIND_PACKAGE(PkgConfig)
  if(PKG_CONFIG_EXECUTABLE)
    set(PC_SHORT_NAME "libnifalcon")
    set(PC_LONG_NAME "libnifalcon")
    set(PC_LIBRARY_NAME "libnifalcon")
    set(PC_DESCRIPTION "Open Source Driver for the Novint Falcon Haptic Controller")
    set(PC_VERSION "${LIBNIFALCON_MAJOR_VERSION}.${LIBNIFALCON_MINOR_VERSION}.${LIBNIFALCON_BUILD_VERSION}")
    
    if(LIBUSB_1_FOUND)
      set(PC_REQUIRES "${PC_REQUIRES}libusb-1.0 ")
      set(PC_LINK_FLAGS "${PC_LINK_FLAGS}-lnifalcon_comm_libusb ")
    endif(LIBUSB_1_FOUND)
    
    set(PC_LINK_FLAGS "${lib${PC_LIBRARY_NAME}_LINK_FLAGS} ${PC_LINK_FLAGS}")
    set(PC_LINK_FLAGS "-l${PC_LIBRARY_NAME} ${PC_LINK_FLAGS}")
    set(PC_COMPILE_FLAGS "${lib${PC_LIBRARY_NAME}_COMPILE_FLAGS}")
    set(PC_CONFIGURED_FILE
      ${CMAKE_BINARY_DIR}/libnifalcon.pc
      )
    MESSAGE("-- Generating ${PC_CONFIGURED_FILE}")
    configure_file(
      ${CMAKE_SOURCE_DIR}/libnifalcon.pc.cmake
      ${PC_CONFIGURED_FILE}
      @ONLY
      )
    set(PKG_CONFIG_DIR "${LIBRARY_INSTALL_DIR}/pkgconfig")
    install(FILES ${PC_CONFIGURED_FILE} DESTINATION ${PKG_CONFIG_DIR})
  endif(PKG_CONFIG_EXECUTABLE)
ENDIF()

=== examples/CMakeLists.txt ===
######################################################################################
# Build function for examples
######################################################################################

SET(LIBNIFALCON_EXE_PO_LINK_LIBS
  ${libnifalcon_cli_base_LIBRARY}
  ${LIBNIFALCON_EXE_LINK_LIBS} 
  ${Boost_PROGRAM_OPTIONS_LIBRARY}
  )

######################################################################################
# Build function for barrow_mechanics
######################################################################################

SET(SRCS barrow_mechanics/main.cpp)

BUILDSYS_BUILD_EXE(
  NAME barrow_mechanics
  SOURCES "${SRCS}" 
  CXX_FLAGS "${DEFINE}" 
  LINK_LIBS "${LIBNIFALCON_EXE_LINK_LIBS}" 
  LINK_FLAGS FALSE 
  DEPENDS nifalcon_DEPEND
  SHOULD_INSTALL TRUE
  )

######################################################################################
# Build function for findfalcons
######################################################################################

SET(SRCS 
  findfalcons/findfalcons.cpp
  )

BUILDSYS_BUILD_EXE(
  NAME findfalcons
  SOURCES "${SRCS}" 
  CXX_FLAGS "${DEFINE}" 
  LINK_LIBS "${LIBNIFALCON_EXE_LINK_LIBS}" 
  LINK_FLAGS FALSE 
  DEPENDS nifalcon_DEPEND
  SHOULD_INSTALL TRUE
  )

######################################################################################
# Build function for findfalcons_multi
######################################################################################

SET(SRCS 
  findfalcons_multi/findfalcons_multi.cpp
  )

BUILDSYS_BUILD_EXE(
  NAME findfalcons_multi
  SOURCES "${SRCS}" 
  CXX_FLAGS "${DEFINE}" 
  LINK_LIBS "${LIBNIFALCON_EXE_LINK_LIBS}" 
  LINK_FLAGS FALSE 
  DEPENDS nifalcon_DEPEND
  SHOULD_INSTALL TRUE
  )

######################################################################################
# Build function for falcon_led
######################################################################################

#Can't compile without program options
IF(NOT Boost_PROGRAM_OPTIONS_FOUND)
  MESSAGE("Cannot compile falcon_led - Missing Boost Program Options")
ELSE(NOT Boost_PROGRAM_OPTIONS_FOUND)
  SET(SRCS 
    falcon_led/falcon_led.cpp
    )
  
  BUILDSYS_BUILD_EXE(
    NAME falcon_led
    SOURCES "${SRCS}" 
    CXX_FLAGS FALSE
    LINK_LIBS "${LIBNIFALCON_EXE_PO_LINK_LIBS}" 
    LINK_FLAGS FALSE 
    DEPENDS nifalcon_cli_base_DEPEND
    SHOULD_INSTALL TRUE
    )
ENDIF(NOT Boost_PROGRAM_OPTIONS_FOUND)

######################################################################################
# Build function for falcon_test_cli
######################################################################################

#Can't compile without program options
IF(NOT Boost_PROGRAM_OPTIONS_FOUND)
  MESSAGE("Cannot compile falcon_test_cli - Missing Boost Program Options")
ELSE(NOT Boost_PROGRAM_OPTIONS_FOUND)
  SET(SRCS 
    falcon_test_cli/falcon_test_cli.cpp 
    falcon_test_cli/FalconTestBase.cpp 
    falcon_test_cli/FalconLoopTimeTest.cpp 
    falcon_test_cli/FalconCubeTest.cpp 
    falcon_test_cli/FalconSphereTest.cpp 
    falcon_test_cli/FalconWallTest.cpp 
    falcon_test_cli/FalconColorTest.cpp
    )

  BUILDSYS_BUILD_EXE(
    NAME falcon_test_cli
    SOURCES "${SRCS}" 
    CXX_FLAGS FALSE
    LINK_LIBS "${LIBNIFALCON_EXE_PO_LINK_LIBS}" 
    LINK_FLAGS FALSE 
    DEPENDS nifalcon_cli_base_DEPEND
    SHOULD_INSTALL TRUE
    )
ENDIF(NOT Boost_PROGRAM_OPTIONS_FOUND)

######################################################################################
# Build function for falcon_mouse
######################################################################################

IF(WIN32)
  SET(MOUSE_SRCS falcon_mouse/falcon_mouse.cpp falcon_mouse/falcon_mouse_win.cpp)
  SET(MOUSE_LINK_LIBS ${LIBNIFALCON_EXE_PO_LINK_LIBS})
ELSEIF(APPLE)
  SET(MOUSE_SRCS falcon_mouse/falcon_mouse.cpp falcon_mouse/falcon_mouse_osx.cpp)
  SET(MOUSE_LINK_LIBS ${LIBNIFALCON_EXE_PO_LINK_LIBS})
  SET(MOUSE_LINK_FLAGS "-framework Carbon -framework ApplicationServices")
ELSEIF(UNIX)
  FIND_PACKAGE(X11)
  IF(X11_FOUND AND X11_XTest_LIB)
	INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
	SET(MOUSE_SRCS falcon_mouse/falcon_mouse.cpp falcon_mouse/falcon_mouse_x11.cpp)      
	SET(MOUSE_LINK_LIBS ${LIBNIFALCON_EXE_PO_LINK_LIBS} ${X11_LIBRARIES} ${X11_XTest_LIB}) 
  ELSE(X11_FOUND AND X11_XTest_LIB)
	MESSAGE(STATUS "Not compiling falcon_mouse example - X11 compiling requires the XTest library")
  ENDIF(X11_FOUND AND X11_XTest_LIB)
ENDIF(WIN32)

IF(MOUSE_SRCS)
  BUILDSYS_BUILD_EXE(
    NAME falcon_mouse
    SOURCES "${MOUSE_SRCS}" 
    LINK_LIBS "${MOUSE_LINK_LIBS}" 
    LINK_FLAGS "${MOUSE_LINK_FLAGS}" 
    CXX_FLAGS FALSE
    DEPENDS nifalcon_DEPEND
    SHOULD_INSTALL TRUE
  )
ENDIF(MOUSE_SRCS)

=== include/CMakeLists.txt ===
######################################################################################
# Installation of headers
######################################################################################

SET(LIBNIFALCON_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}/falcon/gmtl 
  ${CMAKE_CURRENT_SOURCE_DIR}/falcon/core
  ${CMAKE_CURRENT_SOURCE_DIR}/falcon/firmware
  ${CMAKE_CURRENT_SOURCE_DIR}/falcon/kinematic
  ${CMAKE_CURRENT_SOURCE_DIR}/falcon/grip
)

INSTALL(DIRECTORY 
  ${LIBNIFALCON_INCLUDE_DIRS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/falcon
  )

INSTALL(FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/falcon/util/FalconFirmwareBinaryTest.h
  ${CMAKE_CURRENT_SOURCE_DIR}/falcon/util/FalconFirmwareBinaryNvent.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/falcon/util
)

FOREACH(DIR ${LIBNIFALCON_INCLUDE_DIRS})
  FILE(GLOB_RECURSE HEADER_FILES ${DIR}/*.h)
  LIST(APPEND LIBNIFALCON_INCLUDE_FILES ${HEADER_FILES})
ENDFOREACH(DIR ${LIBNIFALCON_INCLUDE_DIRS})
#Headers for comm or util library specific development

SET(LIBNIFALCON_INCLUDE_FILES ${LIBNIFALCON_INCLUDE_FILES} PARENT_SCOPE)

#Only install one of the comm headers
IF(LIBUSB_1_FOUND)
  INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/falcon/comm/FalconCommLibUSB.h DESTINATION ${INCLUDE_INSTALL_DIR}/falcon/comm)
ELSEIF(LIBFTD2XX_FOUND)
  INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/falcon/comm/FalconCommFTD2XX.h DESTINATION ${INCLUDE_INSTALL_DIR}/falcon/comm)
ENDIF(LIBUSB_1_FOUND)

IF(Boost_PROGRAM_OPTIONS_FOUND)
  INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/falcon/util/FalconCLIBase.h DESTINATION ${INCLUDE_INSTALL_DIR}/falcon/util)
ENDIF(Boost_PROGRAM_OPTIONS_FOUND)

IF(Boost_THREAD_FOUND)
  INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/falcon/util/FalconDeviceBoostThread.h DESTINATION ${INCLUDE_INSTALL_DIR}/falcon/util)
ENDIF(Boost_THREAD_FOUND)

=== compily_buildd/libraries/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
PROJECT(np_library_builder)

INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/LibraryBuilderMacros.cmake)
CHECK_PROJECT_PLATFORM()
FILE(GLOB_RECURSE CMAKELIST_FILES libraries/*/CMakeLists.txt)
FOREACH(CMAKELIST_FILE ${CMAKELIST_FILES})
  MESSAGE(STATUS ${CMAKELIST_FILE})
  GET_FILENAME_COMPONENT(LIB_DIR ${CMAKELIST_FILE} PATH)
  ADD_SUBDIRECTORY(${LIB_DIR})
ENDFOREACH()

# Boost 1.41
# http://softlayer.dl.sourceforge.net/project/boost/boost/1.41.0/boost_1_41_0.tar.bz2
SET(LIBRARY_PROJECT_NAME "Boost")
SET(LIBRARY_PROJECT_VERSION "1.41")
SET(LIBRARY_PROJECT_DOWNLOAD_URL "http://softlayer.dl.sourceforge.net/project/boost/boost/1.41.0/boost_1_41_0.tar.bz2")

BUILD_BOOST_EXTERNAL()

# libusb 1.0.6
# http://cdnetworks-us-2.dl.sourceforge.net/project/libusb/libusb-1.0/libusb-1.0.6/libusb-1.0.6.tar.bz2
SET(LIBRARY_PROJECT_NAME "libusb-1.0")
SET(LIBRARY_PROJECT_VERSION "1.0.6")
SET(LIBRARY_PROJECT_DOWNLOAD_URL "http://cdnetworks-us-2.dl.sourceforge.net/project/libusb/libusb-1.0/libusb-1.0.6/libusb-1.0.6.tar.bz2")

BUILD_AUTOTOOLS_EXTERNAL()

# libusb 0.1.12
# http://cdnetworks-us-1.dl.sourceforge.net/project/libusb/libusb-0.1%20%28LEGACY%29/0.1.12/libusb-0.1.12.tar.gz

SET(LIBRARY_PROJECT_NAME "libusb-0.1")
SET(LIBRARY_PROJECT_VERSION "0.1.12")
SET(LIBRARY_PROJECT_DOWNLOAD_URL "http://cdnetworks-us-1.dl.sourceforge.net/project/libusb/libusb-0.1%20%28LEGACY%29/0.1.12/libusb-0.1.12.tar.gz")

BUILD_AUTOTOOLS_EXTERNAL()

# libftdi 1.17
# http://www.intra2net.com/en/developer/libftdi/download/libftdi-0.17.tar.gz

SET(LIBRARY_PROJECT_NAME "libftdi")
SET(LIBRARY_PROJECT_VERSION "1.17")
SET(LIBRARY_PROJECT_DOWNLOAD_URL "http://www.intra2net.com/en/developer/libftdi/download/libftdi-0.17.tar.gz")
SET(LIBRARY_PROJECT_DEPENDS "libusb-0.1")
BUILD_AUTOTOOLS_EXTERNAL()

# libhid
# http://alioth.debian.org/frs/download.php/1958/libhid-0.2.16.tar.gz
SET(LIBRARY_PROJECT_NAME "libhid")
SET(LIBRARY_PROJECT_VERSION "0.2.16")
SET(LIBRARY_PROJECT_DOWNLOAD_URL "http://alioth.debian.org/frs/download.php/1958/libhid-0.2.16.tar.gz")
SET(LIBRARY_PROJECT_CONFIGURE_OPTIONS "--disable-swig")
SET(LIBRARY_PROJECT_DEPENDS "libusb-0.1")
BUILD_AUTOTOOLS_EXTERNAL()

# liblo
# http://voxel.dl.sourceforge.net/project/liblo/liblo/0.26/liblo-0.26.tar.gz

# SET(LIBRARY_PROJECT_NAME "liblo")
# SET(LIBRARY_PROJECT_VERSION "0.26")
# SET(LIBRARY_PROJECT_DOWNLOAD_URL "http://voxel.dl.sourceforge.net/project/liblo/liblo/0.26/liblo-0.26.tar.gz")

# BUILD_AUTOTOOLS_EXTERNAL()

# pyusb

# flext

=== lang/swig/CMakeLists.txt ===
######################################################################################
# Build function for SWIG
######################################################################################

#Required because it has to be turned on in the first place, so if we don't have it,
#just die
FIND_PACKAGE(SWIG REQUIRED)
MESSAGE(STATUS "Building SWIG Bindings")

INCLUDE(${SWIG_USE_FILE})

SET(CMAKE_SWIG_FLAGS "")

SET(LIBNIFALCON_INTERFACE libnifalcon_swig.i)
SET_SOURCE_FILES_PROPERTIES(${LIBNIFALCON_INTERFACE} PROPERTIES CPLUSPLUS ON)
INCLUDE_DIRECTORIES(../include)

######################################################################################
# Build function for Java library bindings
######################################################################################

FIND_PACKAGE(JNI)

# Apparently there's no FOUND variable for JNI. I really hate the lack of consistency 
# in Cmake find modules. >.<
IF(JNI_LIBRARIES)
  MESSAGE(STATUS "- Build SWIG Java library")
  INCLUDE_DIRECTORIES(${JNI_INCLUDE_DIRS})
  SET(ARGS "-includeall" "-module" "JNIFalcon")

  SET_SOURCE_FILES_PROPERTIES(${LIBNIFALCON_INTERFACE} PROPERTIES SWIG_FLAGS "${ARGS}")
  SET(LIBS_JNI ${LIBNIFALCON_EXE_LINK_LIBS} ${JNI_LIBRARIES})
  SWIG_ADD_MODULE(JNIFalcon java ${LIBNIFALCON_INTERFACE} ../src/FalconDeviceBridge.cpp)
  SWIG_LINK_LIBRARIES(JNIFalcon ${LIBS_JNI})
ELSE(JNI_LIBRARIES)
  MESSAGE(STATUS "--- Cannot make Java bindings, JNI libraries not found!")
ENDIF(JNI_LIBRARIES)

######################################################################################
# Build function for Python library bindings
######################################################################################

FIND_PACKAGE(PythonLibs)
IF(PYTHONLIBS_FOUND)
  MESSAGE(STATUS "- Build SWIG Python library")
  INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
  SET(ARGS "-includeall" "-module" "pynifalcon")

  SET_SOURCE_FILES_PROPERTIES(${LIBNIFALCON_INTERFACE} PROPERTIES SWIG_FLAGS "${ARGS}")
  SET(LIBS_PYTHON ${LIBNIFALCON_EXE_LINK_LIBS} ${PYTHON_LIBRARIES})
  SWIG_ADD_MODULE(pynifalcon python ${LIBNIFALCON_INTERFACE} ../src/FalconDeviceBridge.cpp)
  SWIG_LINK_LIBRARIES(pynifalcon ${LIBS_PYTHON})
ELSE(PYTHONLIBS_FOUND)
  MESSAGE(STATUS "--- Cannot make Python bindings, Python dev libraries not found!")
ENDIF(PYTHONLIBS_FOUND)

=== packages/macports/devel/libnifalcon/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

# $Id$

PortSystem  1.0

name        libnifalcon
version     1.0.2
categories  devel
platforms   darwin

maintainers John Richards gmail.com:richardsjohnt

homepage            http://qdot.github.com/libnifalcon/
description         Novint Falcon hardware support
long_description    Driver and development library for the Novint Falcon haptic device

master_sites    sourceforge
checksums       md5     0a3d01945b5274d2cd22aefba547fbd8 \
                sha1    4a4272bc2abaf0b5d82035f0eacde9d468772816 \
                rmd160 4ed16084bd9dc9658af56f40b228a812edfc6951

depends_lib port:cmake \
            port:boost \
            port:libusb

post-extract {
    file mkdir ${worksrcpath}/build
}

configure {
    system "cd ${worksrcpath}/build \
            && cmake -DCMAKE_INSTALL_PREFIX=${prefix} -G \"Unix Makefiles\" .."
}

build.dir       ${worksrcpath}/build
